/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework;

import org.jfox.framework.deploy.ComponentDeployer;
import org.jfox.framework.deploy.DeployMonitor;
import org.jfox.framework.management.http.HttpManagementServerComponent;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class Startup {

    public static void main(String[] args) throws Exception {
        Registry registry = Registry.getInstance();
        registry.registerComponent(HttpManagementServerComponent.class);
        registry.registerComponent(ComponentDeployer.class);
        ComponentMeta meta = registry.registerComponent(DeployMonitor.class,
                new Parameter[]{
                    new ImplemetationRefParameter(ComponentDeployer.class)
                });
        registry.getComponentInstance(meta.getComponentName());
        registry.start();
    }
}
